Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SpriteBatchQuery Class Reference

More...

`#include <SpriteBatchQuery.h>`

Inheritance diagram for SpriteBatchQuery:

## Public Member Functions
| SpriteBatchQuery (SpriteBatch *pSpriteBatch)
virtual | ~SpriteBatchQuery ()
S32 | add (SpriteBatchItem *pSpriteBatchItem)
| Standard scope. More...
void | remove (SpriteBatchItem *pSpriteBatchItem)
bool | update (SpriteBatchItem *pSpriteBatchItem, const b2AABB &aabb, const b2Vec2 &displacement)
U32 | queryArea (const b2AABB &aabb, const bool targetOOBB)
U32 | queryOOBB (const b2AABB &aabb, b2PolygonShape &oobb, const bool targetOOBB)
U32 | queryRay (const Vector2 &point1, const Vector2 &point2, const bool targetOOBB)
U32 | queryPoint (const Vector2 &point, const bool targetOOBB)
void | clearQuery (void)
| Results. More...
typeSpriteBatchQueryResultVector & | getQueryResults (void)
U32 | getQueryResultsCount (void) const
bool | getIsRaycastQueryResult (void) const
void | sortRaycastQueryResult (void)
virtual bool | ReportFixture (b2Fixture *fixture)
| Unused result callbacks. More...
virtual F32 | ReportFixture (b2Fixture *fixture, const b2Vec2 &point, const b2Vec2 &normal, F32 fraction)
bool | QueryCallback (S32 proxyId)
| Callbacks. More...
F32 | RayCastCallback (const b2RayCastInput &input, S32 proxyId)

## Detailed Description

## Constructor & Destructor Documentation

SpriteBatchQuery | ( | SpriteBatch * | pSpriteBatch | ) |

virtual ~SpriteBatchQuery | ( |  | ) |
| inline virtual

## Member Function Documentation

S32 add | ( | SpriteBatchItem * | pSpriteBatchItem | ) |

Standard scope.

void clearQuery | ( | void |  | ) |

Results.

bool getIsRaycastQueryResult | ( | void |  | ) | const
| inline

typeSpriteBatchQueryResultVector& getQueryResults | ( | void |  | ) |
| inline

U32 getQueryResultsCount | ( | void |  | ) | const
| inline

U32 queryArea | ( | const b2AABB & | aabb,
|  | const bool | targetOOBB
| ) |  |

bool QueryCallback | ( | S32 | proxyId | ) |

Callbacks.

U32 queryOOBB | ( | const b2AABB & | aabb,
|  | b2PolygonShape & | oobb,
|  | const bool | targetOOBB
| ) |  |

U32 queryPoint | ( | const Vector2 & | point,
|  | const bool | targetOOBB
| ) |  |

U32 queryRay | ( | const Vector2 & | point1,
|  | const Vector2 & | point2,
|  | const bool | targetOOBB
| ) |  |

F32 RayCastCallback | ( | const b2RayCastInput & | input,
|  | S32 | proxyId
| ) |  |

void remove | ( | SpriteBatchItem * | pSpriteBatchItem | ) |

virtual bool ReportFixture | ( | b2Fixture * | fixture | ) |
| inline virtual

Unused result callbacks.

virtual F32 ReportFixture | ( | b2Fixture * | fixture,
|  | const b2Vec2 & | point,
|  | const b2Vec2 & | normal,
|  | F32 | fraction
| ) |  |
| inline virtual

void sortRaycastQueryResult | ( | void |  | ) |

bool update | ( | SpriteBatchItem * | pSpriteBatchItem,
|  | const b2AABB & | aabb,
|  | const b2Vec2 & | displacement
| ) |  |

The documentation for this class was generated from the following files:

- 2d/core/SpriteBatchQuery.h
- 2d/core/SpriteBatchQuery.cc